# Generated by Django 2.0.3 on 2018-06-06 20:17
from django.db import migrations
from django.db.migrations import RunPython


def forward(apps, schema_editor):
    Url = apps.get_model("robots", "Url")
    Rule = apps.get_model("robots", "Rule")
    Site = apps.get_model("sites", "Site")
    # Basically allow /content and /streams/public
    urls = [
        Url.objects.create(pattern='/.well-known'),
        Url.objects.create(pattern='/api'),
        Url.objects.create(pattern='/admin'),
        Url.objects.create(pattern='/bookmarklet'),
        Url.objects.create(pattern='/contacts'),
        Url.objects.create(pattern='/content/bookmarklet'),
        Url.objects.create(pattern='/content/create'),
        Url.objects.create(pattern='/delete-account'),
        Url.objects.create(pattern='/django-rq'),
        Url.objects.create(pattern='/fetch'),
        Url.objects.create(pattern='/followed'),
        Url.objects.create(pattern='/hcard'),
        Url.objects.create(pattern='/jsi18n'),
        Url.objects.create(pattern='/jsreverse'),
        Url.objects.create(pattern='/markdownx'),
        Url.objects.create(pattern='/media'),
        Url.objects.create(pattern='/nodeinfo'),
        Url.objects.create(pattern='/p/'),
        Url.objects.create(pattern='/public'),
        Url.objects.create(pattern='/receive'),
        Url.objects.create(pattern='/search'),
        Url.objects.create(pattern='/streams/followed'),
        Url.objects.create(pattern='/streams/tag'),
        Url.objects.create(pattern='/tags'),
        Url.objects.create(pattern='/u/'),
        Url.objects.create(pattern='/webfinger'),
    ]
    rule = Rule.objects.create(robot='*')
    rule.disallowed.add(*urls)
    rule.sites.add(Site.objects.first())


def backward(apps, schema_editor):
    Url = apps.get_model("robots", "Url")
    Rule = apps.get_model("robots", "Rule")
    Url.objects.all().delete()
    Rule.objects.all().delete()


class Migration(migrations.Migration):

    dependencies = [
        ('socialhome', '0001_initial'),
        ('robots', '0001_initial'),
        ('sites', '0003_auto_no_op'),
    ]

    operations = [
        RunPython(forward, backward)
    ]
